Subject: Re: Complex Valued Hartree-Calculations

From: Herbert Homeier (t4720) <[email-masked]>
Date: Thu, 30 Mar 95 10:24:38 +0200

Dear netters,

with regard to the following message I have some comments which are
interspersed with the text of the message.

> Mime-Version: 1.0
> X-Courtesy-Of: NCSA Mosaic 2.4 on Sun
> X-Url: http://rchs1.chemie.uni-regensburg.de/%7Emaillist/data/1163.html
> 
> CCL:Re: Complex Valued Hartree-Calculations
> 
> Ayaz Bakasov, Phys. Chem., ETH Zurich ([email-masked])
> Mon, 27 Mar 1995 23:51:56 +0200 
> 
> Dear Netters,
> 
> I think the question posted
> by Antonio M. Ferreira
> is a very interesting one.
> Should I dare to pass this discission
> on to our list ?
> Here is his original question
> and my (perhaps a bit hastily made)
> reply.
> Sincerely,
> Ayaz Bakasov.
> 
> > Date: 27-MAR-1995 22:22:28.46
> > From: ETHZ::""Antonio M. Ferreira" 
> > <[email-masked]>"
> > Subj: Complex Valued Hartree-Calculations
> > To: [email-masked]
> > 
> > I am looking for any information concerning
> > complex-valued HF calculatoins. I understand 
> > that this has been done in the past, however 
> > I have been unable to find the references. 
> > I would appreciate any information out there,
> > particularly on such calculations using 
> > complex basis functions leading to complex 
> > density matricies.
> >
> >To anyone who can help me, I offer my appreciation 
> > and sincere thanks.
> >
> >Tony
> >
> 
> Dear Antonio M. Ferreira,
> 
> I believe that the rejection of complex valued
> SCF in quantum chemistry is a historical mistake
> -- it will be eventually improved.
> 
> The physical ground is that as long as
> the main features of molecular behavour 
> are concerned, the Coulomb interaction 
> is the leading one - it strongly dominates
> other interactions like spin-orbit or hyperfine.
> The Coulomb interaction (taken solely) produces
> a wave function which has a GLOBAL complex phase
> which can be put equal to zero everywhere
> in configuration space (at zero external fields).
> 
> ONLY magnetic interactions lead 
> to the physical necessity to
> compexify the wave function
> and to introduce LOCAL complex phase
> which depends on coordinates.
> 
> For instance, in NMR it is a routine
> to use complex wave functions 
> in ab initio calculations
> though the magnetic fields are EXTERNAL.
> Take as example the IGLO package.
> 
> There are internal magnetic fields
> but the bulk of quantum chemists
> believe that they are not significant
> for most of applications.
> It is a prejudice and chemists
> have no motivation to give it up yet.
> And they make the weather in the field
> -- the orthodox physicists left long time
> ago for high energy physics, nuclear physics
> and so forth (to look for "fundamental problems"), 
> so the molecular physics
> was left to people who were really interested 
> in it - to chemists. :-)

One comment here: The basic reason for using real wavefunctions/basis
sets is probably the theorem that in a system with time reversal
symmetry one can choose the wavefunction to be real IF spin is not
considered.  A similar statement including spin probably holds if
closed shell systems are considered (if somebody has a proof or knows a
reference, please send me an e-mail). However, there are certainly many
systems (for instance open-shell systems) where complex MO's are
necessary.

> 
> So, "no need to use complex SCF"
> for zero external magnetic fields.
> 
> No reason to laugh - one has to have
> more education in physics, and it will require
> some time to overcome the
> inertia to use MOSTLY real wave functions.
> 

(stuff deleted)

> I contacted MANY distinguished people
> in computational molecular physics
> or in "quantum chemistry"
> (asking them this "silly" question).
> It is a very firm consensus
> NOT to use complex wave functions
> - and no clear reason to that.
> 
 
There are two more technical reasons for using real basis sets.

Primo, the calculations with complex numbers are more time-comsuming
than those with real ones, and they take a factor two more storage.

Secundo, there are symmetry relations for the real orbitals that cut
down the number of two-electron integrals to be computed (and/or
stored).  As a matter of fact, however, there are also (partly
different) symmetry relations in the case of complex orbitals that can
be used similarly IF only basis sets are used that contain for each
function also its complex conjugate function. In this case, the number
of two-electron integrals to be computed/stored can be reduced by the
same factor as in the case of real AOs. However, the bookkeeping is
somewhat more complicated (See p. 95ff in [1]). Certainly, one can
still use real AO basis sets and allow for complex coefficients of the
MOs.  But then in the MO basis the above remark applies.

[1] H. H. H. Homeier, Integraltransformationsmethoden und
    Quadraturverfahren f"ur Molek"ulintegrale mit B-Funktionen
    (Roderer, Regensburg, 1990) (in German).

(stuff deleted) 

> Sincerely,
> Ayaz Bakasov.

Greetings and best regards

Herbert Homeier
--------------------------------------------------------------
Dr. Herbert H. H. Homeier
Institut fuer Physikalische und Theoretische Chemie
Universitaet Regensburg
D-93040 Regensburg, Germany
Phone: +49-941-943 4720                FAX  : +49-941-943 2305
email: [email-masked]
<A HREF="http://rchs1.uni-regensburg.de/%7Ec5008/">HOMEPAGE</A>
---------------------------------------------------------------